.commentBox {
  display: flex;
  flex-direction: column;
  gap: 24px;

  .titleWithCount {
    font-size: 24px;
    letter-spacing: -0.02em;
    line-height: 120%;
    font-family: Niramit;
    color: #143080;
    text-align: left;
  }

  .commentTopSection {
    display: flex;
    flex-direction: column;
    gap: 8px;

    .textAreaComment {
      letter-spacing: 0.05em;
      line-height: 150%;
      padding: 14px;
      align-items: flex-start;
      justify-content: flex-start;
      overflow-y: scroll;
    }

    .textAreaCommentWrapper {
      width: 100%;
      height: 116px;
      text-align: left;
      font-size: 14px;
      color: #929292;
      font-family: "Inter Tight";
      border-radius: 4px;
      background-color: #fff;
      border: 1px solid #d4d4d3;
    }
  }

  .allCommentsSection {
    display: flex;
    flex-direction: column;
    gap: 32px;

    .commentWrapper {
      display: flex;
      flex-direction: column;
      gap: 8px;

      .commentInfoSection {
        display: flex;
        gap: 8px;

        .commentAvatarWrapper {
          border-radius: 4px;
          width: 40px;
          height: 40px;
          object-fit: cover;
        }

        .nameAndTimestamp {
          display: flex;
          justify-content: space-between;
          flex-direction: column;

          .commentName {
            width: 100%;
            font-size: 18px;
            line-height: 120%;
            font-weight: 600;
            font-family: "Inter Tight";
            color: #1d1d1d;
          }

          .commentTimestamp {
            font-size: 12px;
            letter-spacing: 0.05em;
            line-height: 140%;
            font-family: "Inter Tight";
            color: #4d4c4b;
          }
        }
      }

      .commentContentSection {
        white-space: pre-wrap;
        width: 100%;
        font-size: 14px;
        letter-spacing: 0.05em;
        line-height: 150%;
        font-family: "Inter Tight";
        color: #1d1d1d;
      }

      .commentLikeSection {
        width: 100%;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: flex-start;
        gap: 4px;
        text-align: left;
        font-size: 14px;
        color: #1d1d1d;
        font-family: "Inter Tight";

        .icon {
          border-radius: 24px;
          border: 1px solid #242222;
          box-sizing: border-box;
          display: flex;
          flex-direction: row;
          padding: 6px;
          align-items: center;
          justify-content: center;
          cursor: pointer;
        }

        .heartIcon1 {
          width: 16px;
          height: 16px;
          overflow: hidden;
          flex-shrink: 0;
        }
      }
    }
  }

  .viewMoreButtonWrapper {
    .ghost {
      border-radius: 8px;
      width: 100%;
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: center;
      gap: 6px;
      text-align: left;
      font-size: 12px;
      color: #1d1d1d;
      font-family: "Inter Tight";
      cursor: pointer;

      .iconLeft {
        border-radius: 24px;
        background-color: #143080;
        width: 16px;
        height: 16px;
        padding: 2px;
        display: flex;

        .arrowDownIcon1 {
          border-radius: 12px;
          max-width: 100%;
          overflow: hidden;
          max-height: 100%;
          filter: invert(100%) sepia(100%) saturate(0%) hue-rotate(177deg)
            brightness(102%) contrast(110%);
        }
      }

      .button {
        letter-spacing: 0.05em;
        line-height: 140%;
        font-weight: 600;
      }
    }
  }
  .buttonPrimary  {
    border-radius: 4px;
    background-color: #143080;
    display: flex;
    flex-direction: row;
    padding: 12px 20px;
    align-items: center;
    justify-content: center;
    color: #fff;
    cursor: pointer;
    &:disabled {
      background-color: #d4d4d3;
      cursor: not-allowed;
    }
  }
}
